<?php
add_action('admin_init', 'editionguard_admin_init');
add_action('admin_menu', 'editionguard_admin_menu');
add_action('admin_head', 'enqueue_editionguard_admin_styles');

/**
* Loading stylesheet file for plugins admin interface to fixing the pagination styles
* 
* @return void
* @access public
*/    
function enqueue_editionguard_admin_styles(){
    //wp_enqueue_style('editionguard_admin_styles_register_name', BASE_URL . '/admin/style.css');
    $admin_style_url = BASE_URL . '/admin/css/style.css';
    echo '<link rel="stylesheet" href="'.$admin_style_url.'" type="text/css" media="screen" />';
}    
         
        

/**
* Registering all options for plguins general settins 
* 
* @return void
* @access public
*/
function editionguard_admin_init() {
    register_setting( 'general_settings', 'editionguard_account_email');
    register_setting( 'general_settings', 'distributor_id');
    register_setting( 'general_settings', 'shared_secret');  
    
    register_setting( 'paypal_settings', 'settings_paypal_email');
    register_setting( 'paypal_settings', 'settings_paypal_currency');
    register_setting( 'paypal_settings', 'settings_paypal_test_mode');        
}


function help_video() {
    include('help_video.php');
}


/**
* Loading markup for plugins admin editionguard general settings interface
* 
* @return void
* @access public
*/
function general_settings() {
    if (!current_user_can('manage_options'))  {
        wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    include('general_settings.php');
}


/**
* Loading markup for plugins admin paypal settings interface
* 
* @return void
* @access public
*/
function paypal_settings() {
    if (!current_user_can('manage_options'))  {
        wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    include('paypal_settings.php');
}

/**
* Generating admin menu for plugins
* 
* @return void
* @access public
*/
function editionguard_admin_menu() {
    add_menu_page( $page_title='General Settings', $menu_title='EditionGuard', $capability='publish_posts', $menu_slug='general_settings', $function='general_settings', $icon_url=BASE_URL . "/admin/images/30x30.png", 66);
    add_submenu_page( $parent_slug='general_settings', $page_title='General Settings | EditionGuard', $menu_title='General Settings', $capability='manage_options', $menu_slug='general_settings', $function='general_settings');
    add_submenu_page('general_settings', 'My eBooks | EditionGuard', 'My eBooks', 'publish_posts', 'my_ebooks', 'my_ebooks');      
    add_submenu_page( $parent_slug='general_settings', $page_title='Orders | EditionGuard', $menu_title='Orders', $capability='publish_posts', $menu_slug='my_orders', $function='my_orders');
    
    add_submenu_page( $parent_slug='general_settings', $page_title='Paypal Settings | EditionGuard', $menu_title='Paypal Settings', $capability='manage_options', $menu_slug='paypal_settings', $function='paypal_settings');
    
    add_submenu_page( $parent_slug='general_settings', $page_title='Help Video', $menu_title='Help Video', $capability='manage_options', $menu_slug='help_video', $function='help_video');
    
    //add_submenu_page( $parent_slug='my_ebooks', $page_title='My eBooks | EditionGuard', $menu_title='My eBooks', $capability='publish_posts', $menu_slug='my_ebooks', $function='my_ebooks');
    //add_submenu_page( $parent_slug='my_ebooks', $page_title='Orders | EditionGuard', $menu_title='Orders', $capability='publish_posts', $menu_slug='general_settings', $function='general_settings');
    
    
}


/**
* Loading markup for plugins admin My Orders page
* 
* @return void
* @access public
*/

function my_orders() {
    if (!current_user_can('publish_posts'))  {
        wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    global $wpdb;                                       
    include('orders.php');          
}

/**
* Loading markup for plugins admin My eBooks page
* 
* @return void
* @access public
*/

function my_ebooks() {
    if (!current_user_can('publish_posts'))  {
        wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    global $wpdb;                                       
    include('ebooks.php');          
}

/**
* Loading markup for plugins admin manage photo page
* 
* @return void
* @access public
*/

 /*function dd_spg_manage_photo() {
    if (!current_user_can('publish_posts'))  {
        wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    global $wpdb;
    $table_photo = $wpdb->prefix . "dd_spg_photos";
    $table_gallery = $wpdb->prefix . "dd_spg_galleries";
    
    include('dd_spg_manage_photo.php');    
} */
